#!/bin/sh

case `uname -r` in
	2.6*)
		kv=2.6
		;;
	2.4*)
		kv=2.4
		;;
	*)
		echo "Error: Cannot recognize kernel version. Stop."
		exit 1
		;;
esac

echo "Creating static binary dir for kernel $kv ..."

staticdir="bin-x86-$kv"

mkdir ../CD || chmod -R 0755 ../CD
mkdir ../CD/llr
rm -rf ../CD/llr/"$staticdir"
mkdir ../CD/llr/"$staticdir"
rm -rf ../CD/llr/tools
mkdir ../CD/llr/tools
cp bin/* ../CD/llr/"$staticdir"
cp ../llr.sh ../CD/llr/
cp ../start-2.4.sh ../CD/llr/
cp ../start-2.6.sh ../CD/llr/
cp ../README.txt ../CD/llr/
cp ../bashinit.rc ../CD/llr/.bashinit
cp ../llr-extract.pl ../CD/llr/tools/
(cd ../CD/llr && sha256sum *.sh bin*/* > sha256sums.txt)
chmod -R 0555 ../CD
chmod 0444 ../CD/llr/README.txt
chmod 0444 ../CD/llr/sha256sums.txt
